Subject: Re: linux-next: Tree for Jan 21 (gpio-palmas.c)

From: Randy Dunlap <[email-masked]>
Date: Mon, 21 Jan 2013 10:50:24 -0800

On 01/20/13 22:18, Stephen Rothwell wrote:
> Hi all,
> 
> Changes since 20130118:
> 
> The powerpc tree still had a build failure.
> 
> The security tree gained a conflict against Linus' tree.
> 
> The driver-core tree lost its build failure.
> 
> The tty tree gained a conflict against Linus' tree.
> 
> The usb tree gained a conflict against Linus' tree and a build failure so
> I used the version from next-20130118.
> 
> The gpio-lw tree lost its build failure.
> 
> The samsung tree gained a conflict against the gpio-lw tree.
> 
> The akpm tree gained a conflict against the drm tree and a build failure
> for which I reverted a commit.
> 
> ----------------------------------------------------------------------------
> 
> I have created today's linux-next tree at
> git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git
> (patches at http://www.kernel.org/pub/linux/kernel/next/ ).  If you
> are tracking the linux-next tree using git, you should not use "git pull"
> to do so as that will try to merge the new linux-next release with the
> old one.  You should use "git fetch" as mentioned in the FAQ on the wiki
> (see below).
> 
> You can see which trees have been included by looking in the Next/Trees
> file in the source.  There are also quilt-import.log and merge.log files
> in the Next directory.  Between each merge, the tree was built with
> a ppc64_defconfig for powerpc and an allmodconfig for x86_64. After the
> final fixups (if any), it is also built with powerpc allnoconfig (32 and
> 64 bit), ppc44x_defconfig and allyesconfig (minus
> CONFIG_PROFILE_ALL_BRANCHES - this fails its final link) and i386, sparc,
> sparc64 and arm defconfig. These builds also have
> CONFIG_ENABLE_WARN_DEPRECATED, CONFIG_ENABLE_MUST_CHECK and
> CONFIG_DEBUG_INFO disabled when necessary.
> 
> Below is a summary of the state of the merge.
> 
> We are up to 211 trees (counting Linus' and 28 trees of patches pending
> for Linus' tree), more are welcome (even if they are currently empty).
> Thanks to those who have contributed, and to those who haven't, please do.
> 
> Status of my local build tests will be at
> http://kisskb.ellerman.id.au/linux-next .  If maintainers want to give
> advice about cross compilers/configs that work, we are always open to add
> more builds.
> 
> Thanks to Randy Dunlap for doing many randconfig builds.  And to Paul
> Gortmaker for triage and bug fixes.
> 
> There is a wiki covering stuff to do with linux-next at
> http://linux.f-seidel.de/linux-next/pmwiki/ .  Thanks to Frank Seidel.

on x86_64:

  CC      drivers/gpio/gpio-palmas.o
drivers/gpio/gpio-palmas.c: In function 'palmas_gpio_get':
drivers/gpio/gpio-palmas.c:46:2: error: implicit declaration of function 'palmas_read' [-Werror=implicit-function-declaration]
drivers/gpio/gpio-palmas.c: In function 'palmas_gpio_set':
drivers/gpio/gpio-palmas.c:62:3: error: implicit declaration of function 'palmas_write' [-Werror=implicit-function-declaration]
drivers/gpio/gpio-palmas.c: In function 'palmas_gpio_output':
drivers/gpio/gpio-palmas.c:83:2: error: implicit declaration of function 'palmas_update_bits' [-Werror=implicit-function-declaration]
drivers/gpio/gpio-palmas.c: In function 'palmas_gpio_to_irq':
drivers/gpio/gpio-palmas.c:108:2: error: implicit declaration of function 'palmas_irq_get_virq' [-Werror=implicit-function-declaration]
cc1: some warnings being treated as errors
make[3]: *** [drivers/gpio/gpio-palmas.o] Error 1

Full randconfig file is attached.

-- 
~Randy